Not working when bundling with node and r.js later than 2.0.2 #6

Open
eeroan opened this Issue Sep 4, 2012 · 0 comments

Comments

Projects
None yet
1 participant

eeroan commented Sep 4, 2012

Version 2.0.2 of r.js is the latest version which worked with tpl plugin. At least versions between 2.0.3 and 2.0.6 are no more compatible with this plugin.

With version 2.0.6 of r.js I get the following error when compiling with following command:

$ node build/r-2.0.6.js -o build/booking.build.js

Tracing dependencies for: booking
Error: EBADF, Bad file descriptor '/vendor/requirejs.plugins/tpl-0.24.0.js'
In module tree:
    booking
        initDom


Error: EBADF, Bad file descriptor '/vendor/requirejs.plugins/tpl-0.24.0.js'
In module tree:
    booking
        initDom

    at Object.openSync (fs.js:221:18)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment